## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface IWSDOMRuntimeManager

All Known Implementing Classes:
  WsDOMRuntimeManager

    public interface IWSDOMRuntimeManager

Method Summary
`void` `createDOMRuntimes(org.eclipse.core.runtime.IProgressMonitor monitor)` Instantiates the DOM Runtimes if not already.
`IWsDOMRuntimeExtension` `getDOMRuntime(java.lang.String runtimeId)` This method should return the DOM runtime instance corresponding to the runtime id and instantiate such DOM runtime instance if non existent at the moment of invocation of this method.
`java.util.Collection<IWsDOMRuntimeExtension>` `getDOMRuntimes()`
`void` `reloadDOMRuntimes(org.eclipse.core.runtime.IProgressMonitor monitor)` This method should reload all instances of DOM Runtimes.

Method Detail

### createDOMRuntimes

    void createDOMRuntimes(org.eclipse.core.runtime.IProgressMonitor monitor)

  Instantiates the DOM Runtimes if not already.

  Parameters:
    `progress` - monitor to track progress

### getDOMRuntime

    IWsDOMRuntimeExtension getDOMRuntime(java.lang.String runtimeId)

  This method should return the DOM runtime instance corresponding to the runtime id and instantiate such DOM runtime instance if non existent at the moment of invocation of this method.

  Parameters:
    `runtimeId` - - string identifier of the runtime
  Returns:
    the DOM runtime instance. Null if runtime with such id is not registered

### getDOMRuntimes

    java.util.Collection<IWsDOMRuntimeExtension> getDOMRuntimes()

  Returns:
    a list of all DOM Runtimes currently instantiated

### reloadDOMRuntimes

    void reloadDOMRuntimes(org.eclipse.core.runtime.IProgressMonitor monitor)

  This method should reload all instances of DOM Runtimes.